Bug 233665 - (via-vbe) via driver is vbe-based
via driver is vbe-based
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 13:48 EDT by John W. Lockhart
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg logfile showing the details as the correct mode is skipped (44.79 KB, text/plain)
2007-03-23 13:48 EDT, John W. Lockhart
no flags Details
xorg.conf file with EDID-crafted Modeline (1.60 KB, text/plain)
2007-03-23 13:51 EDT, John W. Lockhart
no flags Details

  None (edit)
Description John W. Lockhart 2007-03-23 13:48:47 EDT
Description of problem:

The via driver is refusing to use 1680x1050, instead
forcing 1400x1050 and thus creating a highly suboptimal
display on my widescreen LCD panel.

Version-Release number of selected component (if applicable):

(II) Loading /usr/lib/xorg/modules/drivers/via_drv.so
(II) Module via: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 0.2.1

xorg-x11-drv-via-0.2.1-7.i386.rpm    

How reproducible:

Hook up an LCD panel with native 1680x1050 resolution, start
X in the usual (init 5) way, see what you get, and read the
Xorg.0.log.  I used an Acer LW2223W 22" widescreen LCD
on a Via-KM400-based system.

Steps to Reproduce:
1. hook up 1680x1050 LCD monitor (I used VGA rather than DVI)
2. power up via-km400-based system
3. see suboptimal display, collect info about it.
  
Actual results:
1400x1050 display, distorted

Expected results:
1680x1050 display (monitor's native mode)

Additional info:
I also crafted a specific Modeline based on
the EDID information.  You'll find that in the
xorg.conf I'll be attaching along with the
Xorg.0.log file.
Comment 1 John W. Lockhart 2007-03-23 13:48:47 EDT
Created attachment 150780 [details]
Xorg logfile showing the details as the correct mode is skipped
Comment 2 John W. Lockhart 2007-03-23 13:51:45 EDT
Created attachment 150781 [details]
xorg.conf file with EDID-crafted Modeline

Note that the bug happens with the default xorg.conf as well... attaching
this one that specifies the correct mode that via-drv should be using.
Comment 3 Adam Jackson 2007-11-28 11:10:37 EST
Mass migration: via -> openchrome.
Comment 4 Xavier Bachelot 2007-11-28 16:53:38 EST
Please retry with xorg-x11-drv-openchrome. This is the successor to
xorg-x11-drv-via. KM400 supports any mode, so you should be able to use the
native resolution of your lcd panel.
Comment 5 John W. Lockhart 2007-11-28 16:59:02 EST
Hard to do, there's now an NVidia card in that box, and I believe the onboard
VGA gets disabled by the BIOS in that case.  It's also running an older
Fedora/PlanetCCRMA.

Unless there's a way that X could use both the onboard and AGP adapters?
Comment 6 Xavier Bachelot 2007-11-28 17:38:10 EST
(In reply to comment #5)
> Hard to do, there's now an NVidia card in that box, and I believe the onboard
> VGA gets disabled by the BIOS in that case.  It's also running an older
> Fedora/PlanetCCRMA.
> 
Which Fedora release is this based on ? I can build for other releases than F7
and F8 if needed.

> Unless there's a way that X could use both the onboard and AGP adapters?
> 
Unfortunately, not to my knowledge.

Actually, I own a KM400 myself, so I'm pretty sure this bug can be closed, but
I'd be grateful if you can find a bit of time to remove the nvidia card and test
again.
Comment 7 John W. Lockhart 2007-11-28 18:08:38 EST
studio ~]$ cat /etc/fedora-release 
Fedora Core release 6 (Zod)

00:00.0 Host bridge: VIA Technologies, Inc. VT8378 [KM400/A] Chipset Host Bridge
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800/K8T890 South]
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400]
(rev b2)

So I'll indeed have to yank the nVidia board, can't see the VIA VGA with it in
there.
Comment 8 John W. Lockhart 2007-11-28 18:50:50 EST
BTW, the reason the machine is still on FC6 is that I want to be sure that
libfreebob still works, and with the firewire stack changes, I haven't yet
checked on the F7/F8 status.  I can try updating if my firewire audio stuff is
likely to work with the latest stuff.
Comment 9 Xavier Bachelot 2007-11-29 06:09:06 EST
Here's a build for FC6 :
http://washington.kelkoo.net/epia/FC6/i386/xorg-x11-drv-openchrome-0.2.900-7.fc6.i386.rpm
Comment 10 Xavier Bachelot 2008-01-20 17:17:16 EST
John, did you had time either to test the FC6 package or to update to a
supported release and test with the latest openchrome driver ?
Comment 11 Matěj Cepl 2008-02-21 09:45:01 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 12 Matěj Cepl 2008-04-09 10:29:08 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.